Skip to content

Initiate Cancel Action on Multiple Workflows

Use this request to initiate the cancel action on multiple workflows. This starts an asynchronous job whose status you can check with the Retrieve Job Status endpoint. Maximum 500 workflows per request.

POST/api/{version}/object/workflow/actions/{action}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
actionThe name of the workflow action. To get this value, Retrieve Bulk Workflow Actions. In API v20.2, only cancelworkflows is supported.
NameDescription
workflow_idsInput a comma-separated list of workflow_id__v field values. Maximum 500 workflows.
curl -L -X POST '\ -H 'Authorization: {SESSION_ID}' \ -H 'Content-Type: application/x-www-form-urlencoded' \ --data-urlencode 'workflow_ids=2903,2904,2905' \ https://myvault.veevavault.com/api/v20.2/object/workflow/actions/cancelworkflows'
{ "responseStatus": "SUCCESS", "data": { "job_id": 93601 } }

On SUCCESS, the response returns the job_id for the action, and the authenticated user will receive an email notification with details of any failures that occur.